#include <bits/stdc++.h>
#define int long long
using namespace std;

signed main()
{
    int n;
    cin >> n;
    int sol = 0;
    int x[n] , y[n] , z[n];
    for(int i = 0; i <n; i++)
    {
        cin >> x[i];
        x[i];
    }
    sort(x, x+n);
    for(int i = 0; i < n; i++)
    {
        int a;
        cin >> y[i];


    }
    for(int i = 0; i <n; i++)
    {

        cin >> z[i];
        z[i];
    }
    sort(z, z+n);
    for(int i =0; i <n; i++)
    {
        int k1 = lower_bound(x, x+n, y[i])- x;
        int k2 = upper_bound(x, x+n, y[i]) - x;
        int k3 = lower_bound(z, z+n, i+1)- z;
        int k4 = upper_bound(z, z+n, i+1)- z;

        sol += (k2 - k1) * (k4 - k3);
    }
    cout << sol;
    return 0;
}